<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>Ada for Automation Demo Portal</title>
  <link rel="stylesheet" href="https://www.w3schools.com/lib/w3.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
  <header id="top">
    <div class="w3-container w3-blue">
      <img src="./img/A4A_logo.svg" width=100 alt="Logo" style="display:inline" class="w3-right">
      <h1>Ada for Automation Demo Portal</h1>
    </div>
    <nav class="w3-topnav w3-medium w3-blue">
      <a href="index.html" target="_blank"><i class="fa fa-home w3-small"></i></a>
      <a href="app1.html" target="_blank">Application 1</a>
      <a href="app2.html" target="_blank">Application 2</a>
      <a href="app3.html" target="_blank">Application 3</a>
      <div class="w3-dropdown-hover">
        <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-fr.html" target="_blank">Help</a>
        <div class="w3-dropdown-content w3-blue w3-card-4">
          <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-fr.html" target="_blank">French Online Help</a>
          <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-en.html" target="_blank">English Online Help</a>
          <a href="#" onclick="document.getElementById('about-box').style.display='block'">About</a>
          <a href="https://www.ada4automation.org/" target="_blank">Ada for Automation</a>
        </div>
      </div>
    </nav>
  </header>

  <div id="main-content">
    <div id="about-box" class="w3-modal">
      <div class="w3-modal-content w3-card-8">
        <header class="w3-container w3-light-blue">
          <span onclick="document.getElementById('about-box').style.display='none'" class="w3-closebtn">Close &times;</span>
          <h2>About Ada for Automation Demo Portal</h2>
        </header>
        <div class="w3-container">
          <h3>Application description</h3>
          <p>
            This is a demo aggregation site, or a portal, gathering several demos from multiple target machines.</p>
        </div>
        <footer class="w3-container w3-light-blue">
          <h3>Application version</h3>
          <span>2021/11/13</span>
        </footer>
      </div>
    </div>

    <section id="app2" class="w3-section">

      <header class="w3-container w3-light-blue w3-padding-8">
        <h2>A4A Piano using a Hilscher cifX and netPI with Real Time Ethernet communication</h2>
        <a href="#top"><i class="fa fa-arrow-up w3-large w3-right"></i></a>
        <a href="#bottom"><i class="fa fa-arrow-down w3-large w3-right"></i></a>
      </header>

      <div class="w3-container w3-padding-16 w3-border">
        <h2>Summary</h2>
        <p>This example shows one application, running on an industrial PC on top of a GNU/Linux Debian Bullseye
          and using a
          <a href="https://www.hilscher.com/products/product-groups/pc-cards/pci/cifx-50-reecm/?" target="_blank">
            Hilscher cifX board</a> configured as EtherCAT Master, controlling a piano application.
        </p>

        <p>The piano application is running on a
          <a href="https://www.netiot.com/netpi/industrial-raspberry-pi-3/" target="_blank">netPI RTE 3</a>
          on top of a dockerised GNU/Linux Debian Buster with a Real Time kernel.
        </p>
        <p>The docker image is provided <a href="https://gitlab.com/ada-for-automation/a4a-netpi-rte-builder" target="_blank">here</a>.</p>

        <p>The piano application uses the netX 51 System on Chip from Hilscher configured as an EtherCAT Slave.</p>
        <p>It is connected through an SPI connection to the Broadcom chip.</p>

        <p>It's like having a Rasberry Pi 3 connected to a netRAPID.
           <br>The netPI RTE 3 has a little more to offer and fits nicely on my desk !</p>
        <p>I had written about such configuration an
           <a href="https://slo-ist.fr/ada4automation/a4a-ada-raspberry-pi-netrapid" target="_blank">article</a>
           (in French) which has a (not very nice) photo :</p>
        <p>
          <img src="https://slo-ist.fr/wp-content/uploads/2015/11/2015-11-27-16.36.15-1024x768.jpg" alt="RasPi / SPI / netRAPID EB">
        </p>

        <p><iframe src="https://app2.demo.ada4automation.org/#main" height="400" width="600"></iframe>
          <iframe src="https://a4a-hilx-piano.demo.ada4automation.org/#main" height="400" width="600"></iframe>
        </p>
        <p><img src="./img/A4A-K3-cifX-WUI-A4A_HilscherX_Piano-Cloud.png" alt="App2 in the Cloud"></p>
      </div>

      <div class="w3-container w3-light-grey w3-padding-16 w3-border">
        <p>Here is a link to Application 2 :<br>
          <a href="https://app2.demo.ada4automation.org" target="_blank">Application 2</a>
        </p>
        <p>Here is a link to Application A4A_HilscherX_Piano :<br>
          <a href="https://a4a-hilx-piano.demo.ada4automation.org" target="_blank">Application A4A_HilscherX_Piano</a>
        </p>
      </div>

    </section>

  </div>

  <footer id="bottom" class="w3-container w3-light-blue w3-center">
    <a href="#top"><i class="fa fa-arrow-up w3-large w3-right"></i></a>
    <h5>Application proudly built upon
      <a href="https://www.ada4automation.org/" target="_blank">Ada for Automation</a>
    </h5>

    <p>Copyright &copy; 2023 St&eacute;phane LOS<br></p>
  </footer>

  <noscript>Your browser must support JavaScript and be HTML 5 compliant to see this site.</noscript>
</body>

</html>
